%undefine _debugsource_packages
Summary:  whizard -  WHIZARD is a program system designed for the efficient calculation of multi-particle  scattering cross sections and simulated event samples.
Name: whizard
Version: 2.8.2
Release: 6%{?dist}
License: GPLv2
Group: System Environment/Libraries
Source: https://www.hepforge.org/archive/whizard/whizard-%{version}.tar.gz
Patch0:         patch-whizard-0.txt
BuildRoot: %{_tmppath}/%{name}-%{version} 
Requires: fastjet hoppet HepMC3 HepMC3-rootIO gosam openloops ocaml  gosam recola pythia8
BuildRequires: fastjet hoppet HepMC3 HepMC3-search gosam openloops ocaml  lhapdf
BuildRequires: fastjet-devel HepMC3-devel HepMC3-rootIO-devel HepMC3-search-devel gosam recola lhapdf-devel  autoconf automake libtool
BuildRequires: pythia8 pythia8-devel  libtirpc  libtirpc-devel lhapdf-sets-whizard

Requires: LoopTools
BuildRequires:  LoopTools

%if %{?fedora}%{!?fedora:0} || %{?rhel}%{!?rhel:0} >= 8
BuildRequires: python3-lhapdf gcc-gfortran gcc-c++ 
%else
BuildRequires: ocaml-source  python-lhapdf devtoolset-8-gcc-gfortran devtoolset-8-gcc-c++  devtoolset-8-gcc scl-utils
%endif

%global _use_internal_dependency_generator 0
%global __find_requires /usr/lib/rpm/ocaml-find-requires.sh

%if %{?fedora}%{!?fedora:0} >=31

%else
%global __find_provides /usr/lib/rpm/ocaml-find-provides.sh
%endif


%description
 WHIZARD is a program system designed for the efficient calculation of multi-particle 
 scattering cross sections and simulated event samples.
Tree-level matrix elements are generated automatically for arbitrary partonic 
processes by using the Optimized Matrix Element Generator O'Mega. Matrix elements 
obtained by alternative methods (e.g., including loop corrections) may be interfaced
 as well. The program is able to calculate numerically stable signal and background
  cross sections and generate unweighted event samples with reasonable efficiency 
  for processes with up to eight final-state particles; more particles are possible.
   For more particles, there is the option to generate processes as decay cascades 
   including complete spin correlations. Different options for QCD parton showers are available. 
%prep 
%setup -q 
%patch0 -p 1

%build 
%if %{?fedora}%{!?fedora:0} >=31
sed -i 's/\-unsafe\-string//g' m4/ocaml.m4
%endif
%if %{?fedora}%{!?fedora:0} || %{?rhel}%{!?rhel:0} >= 8
autoreconf --force --install --verbose .
export CXXFLAGS=-Wno-error
./configure --disable-dependency-tracking  --enable-fc-openmp  --enable-fc-quadruple   --prefix=/usr --libdir=/usr/%_lib  \
    --enable-recola     --with-recola=/usr/lib64 \
    --enable-gosam      --with-gosam=/usr  --with-golem=/usr  --with-ninja=/usr --with-samurai=/usr \
    --enable-fastjet    --with-fastjet=/usr \
    --enable-hoppet     --with-hoppet=/usr  \
    --enable-lhapdf     --with-lhapdf=/usr \
    --enable-hepmc      --with-hepmc=\usr \
    --enable-hoppet --with-hoppet=/usr     \
    --enable-lcio      --with-lcio=/usr \
    --enable-pythia8=noconfig   --with-pythia8=/usr \
    --enable-openloops  --with-openloops=/usr/lib64/openloops  \
    --enable-looptools --with-looptools=/usr
   
## cteq6l1, CT10
make
%else
cat <<DTS3_EOF_MACRO | scl enable devtoolset-8 --
autoreconf --force --install --verbose .

export CXXFLAGS="-Wno-error -D_GLIBCXX_USE_CXX11_ABI=0"

export LDFLAGS=-L/opt/rh/devtoolset-8/root/usr/lib/gcc/x86_64-redhat-linux/8
./configure --disable-dependency-tracking --enable-fc-openmp  --enable-fc-quadruple  --prefix=/usr --libdir=/usr/%_lib \
    --enable-gosam --with-golem=/usr --with-gosam=/usr --with-ninja=/usr --with-samurai=/usr \
    --enable-fastjet --with-fastjet=/usr \
    --enable-lhapdf  --with-lhapdf=/usr  \
    --enable-hepmc --with-hepmc=/usr     \
    --enable-lcio      --with-lcio=/usr \
    --enable-pythia8=noconfig   --with-pythia8=/usr \
    --enable-openloops  --with-openloops=/usr/lib64/openloops  \
    --enable-looptools --with-looptools=/usr  
#    --enable-recola    --with-recola=/usr/lib64  
#    --enable-hoppet --with-hoppet=/usr     

make
DTS3_EOF_MACRO



%endif



%install 
%make_install
%files
%defattr(-,root,root)
/usr/bin/*
/usr/%_lib/*
/usr/share/*
/usr/include/*

%clean
rm -rf %{buildroot}

%post 
ldconfig 

%changelog             
* Thu Nov 23 2017 Andrii Verbytskyi andrii.verbytskyi@mpp.mpg.de
 - Initial
